TICKIT_TERM_ERASECH(3)

NAME
tickit_term_erasech - erase characters from the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_term_erasech(TickitTerm *tt, int count, TickitMaybeBool moveend);

Link with -ltickit.

DESCRIPTION
tickit_term_erasech() erases count character cells forward from the current cursor location, using the current pen background colour.

Some terminals cannot erase using the background colour, so this operation may be implemented by printing spaces on such terminals. This will move the cursor to the end of the erased region. Other terminals that do erase with background colour can be erased without moving the cursor. The moveend parameter controls the behaviour of the cursor location when this function returns. If set to TICKIT_YES, the cursor will be moved to the end of the erased region if required. If set to TICKIT_NO, the cursor will be moved back to its original location if required. If set to TICKIT_MAYBE, this function will take whichever behaviour is more optimal on the given terminal.

RETURN VALUE
tickit_term_erasech() returns no value.

SEE ALSO
tickit_term_new(3), tickit_term_set_output_fd(3), tickit_term_set_output_func(3), tickit_term_goto(3), tickit_term_print(3), tickit_term_setpen(3), tickit_term_chpen(3), tickit_term(7), tickit(7)